%global momorel 2
Summary: gnome-icon-theme-extras
Name: gnome-icon-theme-extras
Version: 2.30.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: icon-naming-utils
BuildRequires: coreutils
Requires: hicolor-icon-theme
Requires(pre): gtk2

%description
gnome icon theme extra

%prep
%setup -q

%build
%configure --enable-icon-mapping
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# make copy of gnome to hicolor
cp -a %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/hicolor

%clean
rm -rf --preserve-root %{buildroot}

%post
%{_bindir}/gtk-update-icon-cache --quiet --ignore-theme-index --force %{_datadir}/icons/gnome
%{_bindir}/gtk-update-icon-cache --quiet --ignore-theme-index --force %{_datadir}/icons/hicolor

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_datadir}/icons/gnome/*/*/*
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-2m)
- full rebuild for mo7 release

* Wed Apr 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.11m)
- initial build

